Bug 43125 - [Qt] QWebFrame::setContent() does not respect charset provided in the mimeType
: [Qt] QWebFrame::setContent() does not respect charset provided in the mimeType
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Qt
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Pierre Rossi
: Qt, QtTriaged
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 10:00 PDT by Pierre Rossi
Modified: 2010-08-04 14:27 PDT (History)
2 users (show)

See Also:


Attachments
proposed patch (3.82 KB, patch)
2010-07-28 10:05 PDT, Pierre Rossi
no flags Details | Formatted Diff | Diff
Remove some unneeded curly brackets to follow the WebKit coding style. (3.82 KB, patch)
2010-08-03 06:09 PDT, Pierre Rossi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Rossi 2010-07-28 10:00:45 PDT
In order to use setContent with say plain text and UTF-8 encoded data, one would want to be able to pass "text/plain; charset=utf-8" for the mimeType in order to get it to work.
Comment 1 Pierre Rossi 2010-07-28 10:05:00 PDT
Created attachment 62842 [details]
proposed patch
Comment 2 Pierre Rossi 2010-08-03 06:09:41 PDT
Created attachment 63329 [details]
Remove some unneeded curly brackets to follow the WebKit coding style.
Comment 3 Antonio Gomes 2010-08-03 06:16:53 PDT
Comment on attachment 63329 [details]
Remove some unneeded curly brackets to follow the WebKit coding style.

Nice testing!

r=me
Comment 4 WebKit Commit Bot 2010-08-04 14:26:56 PDT
Comment on attachment 63329 [details]
Remove some unneeded curly brackets to follow the WebKit coding style.

Clearing flags on attachment: 63329

Committed r64679: <http://trac.webkit.org/changeset/64679>
Comment 5 WebKit Commit Bot 2010-08-04 14:27:00 PDT
All reviewed patches have been landed.  Closing bug.